OpenCV: cv::KeyPointsFilter Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::KeyPointsFilter Class Reference
2D Features Framework

A class filters a vector of keypoints. More...

`#include "features2d.hpp"`

## Public Member Functions
| KeyPointsFilter ()

## Static Public Member Functions
static void | removeDuplicated (std::vector< KeyPoint > &keypoints)
static void | removeDuplicatedSorted (std::vector< KeyPoint > &keypoints)
static void | retainBest (std::vector< KeyPoint > &keypoints, int npoints)
static void | runByImageBorder (std::vector< KeyPoint > &keypoints, Size imageSize, int borderSize)
static void | runByKeypointSize (std::vector< KeyPoint > &keypoints, float minSize, float maxSize=FLT_MAX)
static void | runByPixelsMask (std::vector< KeyPoint > &keypoints, const Mat &mask)

## Detailed Description

A class filters a vector of keypoints.

Because now it is difficult to provide a convenient interface for all usage scenarios of the keypoints filter class, it has only several needed by now static methods.

## Constructor & Destructor Documentation

## ◆ KeyPointsFilter()

cv::KeyPointsFilter::KeyPointsFilter | ( |  | ) |
| inline

## Member Function Documentation

## ◆ removeDuplicated()

static void cv::KeyPointsFilter::removeDuplicated | ( | std::vector< KeyPoint > & | keypoints | ) |
| static

## ◆ removeDuplicatedSorted()

static void cv::KeyPointsFilter::removeDuplicatedSorted | ( | std::vector< KeyPoint > & | keypoints | ) |
| static

## ◆ retainBest()

static void cv::KeyPointsFilter::retainBest | ( | std::vector< KeyPoint > & | keypoints,
|  | int | npoints
| ) |  |
| static

## ◆ runByImageBorder()

static void cv::KeyPointsFilter::runByImageBorder | ( | std::vector< KeyPoint > & | keypoints,
|  | Size | imageSize,
|  | int | borderSize
| ) |  |
| static

## ◆ runByKeypointSize()

static void cv::KeyPointsFilter::runByKeypointSize | ( | std::vector< KeyPoint > & | keypoints,
|  | float | minSize,
|  | float | maxSize = `FLT_MAX`
| ) |  |
| static

## ◆ runByPixelsMask()

static void cv::KeyPointsFilter::runByPixelsMask | ( | std::vector< KeyPoint > & | keypoints,
|  | const Mat & | mask
| ) |  |
| static

The documentation for this class was generated from the following file:

- features2d/include/opencv2/features2d.hpp